> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tag Category All

> Get all tag categories for a tenant



## OpenAPI

````yaml /openapi/openapi_inventory.json get /commerce/inventory/v1/tagCategory
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/tagCategory:
    get:
      tags:
        - InventoryTagCategory
      summary: Get Tag Category All
      description: Get all tag categories for a tenant
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TagCategory'
                type: array
          description: Success
        '404':
          description: Tag Categories Not Found
components:
  schemas:
    TagCategory:
      description: Request and response object for a tag category
      properties:
        created:
          description: Date tag category was created.
          type: string
        deletion_job_ids:
          description: List of deletion job ID's
          items:
            type: integer
          type: array
        name:
          description: Tag Category Name
          type: string
        tagCategoryID:
          description: Tag Category ID
          type: integer
        tags:
          description: Tags within this category
          items:
            $ref: '#/components/schemas/InventoryTag'
          type: array
      title: Tag Category Response
      type: object
    InventoryTag:
      description: Request/Response object for a tag
      properties:
        created:
          description: Date this tag was created
          type: string
        isDefault:
          description: Whether or not this tag is the default tag for its category.
          type: boolean
        percent:
          description: >-
            Percentage of available inventory this tag will get when the
            percentage update is performed. Must be between 0 and 100
            (inclusive).
          type: integer
        tagID:
          description: Tag ID
          type: integer
        tagValue:
          description: Tag Value
          type: string
        updated:
          description: Date this tag was last updated
          type: string
      title: Tag Response
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````